{ lib, bundlerEnv, ruby, stdenv }:

# rebuild with bundix -l
let
  jekyll = bundlerEnv rec {
    name = pname + "-" + version;
    pname = "jekyll";
    version = (import ./gemset.nix).jekyll.version;

    inherit ruby;
    gemdir = ./.;
  };
in
  stdenv.mkDerivation rec {
    pname = "changelog";
    version = "1";
    src = ./.;
    buildInputs = [ jekyll ];
    phases = [ "unpackPhase" "buildPhase" "installPhase"];
    buildPhase = ''
      jekyll build
    '';

    installPhase = ''
      cp -a _site $out
    '';
  }
